---- English effect names ----

-- Used for the ballads.
ValidBalladEffectsEn = {

	["Ballad Damage Bonus"] = true,			-- Minor ballad
	["Ballad Power Bonus"] = true,			-- Perfect ballad
	["Ballad Healing Bonus"] = true,		-- Major ballad
	["Dirge"] = true, -- On a war-steed		-- Discipline: Red Dawn
	["Saga"] = true, -- On a war-steed		-- Discipline: Rohirrim
	["Chant"] = true--, -- On a war-steed	-- Discipline: Riddermark
	--["Skills Bonus"] = true
}

-- Used for the anthems. The numbers sets the order in fixed themes.
--- This section updated based on 9/30/2018 post by Mines_ofMoria for release 22.2 ---
ValidAnthemEffectsEn = {
	["Anthem of Compassion"] = 1,
	["Anthem of the Third Age"] = 4,
	["Anthem of the Third Age - Dissonance"] = 4, -- in red spec
	["Anthem of the Third Age - Resonance"] = 4, -- in blue spec
	["Anthem of the Third Age - Melody"] = 4, -- in yellow spec
	["Anthem of the Free People"] = 5,
	["Anthem of War"] = 2,
	["Anthem of Prowess"] = 3,
	["Anthem of Composure"] = 6,
	["Anthem of the Rohirrim"] = 1, -- On a war-steed
	["Anthem of the Red Dawn"] = 2, -- On a war-steed
	["Anthem of the Riddermark"] = 3 -- On a war-steed
}

-- Used to recognize a coda
--- This section updated based on 10/8/2019 post by Bellom ---
ValidCodaSkillNamesEn = {
	["Coda of the Eorlingas"] = true, -- In war speech stance
	["Coda of Vigour"] = true, -- In no stance and in harmony stance
	["Coda of Resonance"] = true,
	["Improved Coda of Resonance"] = true,
	["Improved Coda of Melody"] = true,
	["Improved Coda of Fury"] = true,
	["Coda of Melody"] = true,
	["Coda of Fury"] = true
}

-- Used to recognize a Cry of the Chorus
ValidCrySkillNamesEn = {
	["Song of Unity"] = true, -- On War-steed
	["Cry of the Chorus (Dissonance)"] = true,
	["Cry of the Chorus (Melody)"] = true,
	["Cry of the Chorus (Resonance)"] = true,
	["Improved Cry of the Chorus (Dissonance)"] = true,
	["Improved Cry of the Chorus (Melody)"] = true,
	["Improved Cry of the Chorus (Resonance)"] = true,
}

-- Used to recognize a Major Ballad
ValidMajorBalladSkillNamesEn = {
	["Major Ballad"] = true,
}

-- Used to determine, that the player is in the yellow trait line.
ValidYellowTraitSkillNamesEn = {
	["Anthem of Prowess"] = true
}

---- German effect names ----
ValidBalladEffectsDe = {
	["Bonusschaden bei Balladen"] = true,
	["Kraftbonus bei Balladen"] = true,
	["Balladenheilungs-Bonus"] = true,
	["Klagegesang"] = true, -- Auf dem Kriegsross
	["Gesang"] = true, -- Auf dem Kriegsross
	["Sage"] = true -- Auf dem Kriegsross
}

ValidAnthemEffectsDe = {
	["Hymne des Mitgef\195\188hls"] = 1,                     -- removed in U12
	["Hymne des Dritten Zeitalters"] = 4,             -- Meta, nicht verf\195\188gbar
	["Hymne des Dritten Zeitalters - Dissonanz"] = 4, -- In roter Traitlinie
	["Hymne des Dritten Zeitalters - Resonanz"] = 4,  -- In blauer Traitlinie
	["Hymne des Dritten Zeitalters - Melodie"] = 4,   -- In gelber Traitlinie
	["Hymne der freien V\195\182lker"] = 5,                  -- removed in U12
	["Hymne des Krieges"] = 2,
	["Hymne der T\195\188chtigkeit"] = 3,
	["Hymne der Selbstbeherrschung"] = 6,
	["Hymnen der Rohirrim"] = 1,                      -- Auf dem Kriegsross
	["Hymne der Morgenr\195\182te"] = 2,                     -- Auf dem Kriegsross
	["Hymne der Riddermark"] = 3                      -- Auf dem Kriegsross
}

ValidCodaSkillNamesDe = {
	["Coda der Lebenskraft"] = true,                  -- Meta-Fertigkeit, in Haltung ersetzt
	["Coda der Melodie"] = true,                      -- In Haltung: Melodie
	["Coda der Resonanz"] = true,                     -- In Haltung: Resonanz
	["Coda der Wut"] = true,                          -- In Haltung: Dissonanz (Kriegsrede)
	["Coda der Eorlingas"] = true,                    -- Auf dem Kriegsross
	["Verbesserte Coda der Melodie"] = true,          -- In Haltung: Melodie
	["Verbesserte Coda der Resonanz"] = true,         -- In Haltung: Resonanz
	["Verbesserte Coda der Wut"] = true,              -- In Haltung: Dissonanz (Kriegsrede)
}

ValidCrySkillNamesDe = {
	["Lied der Einheit"] = true, -- On War-steed
	["Schrei des Chors (Dissonanz)"] = true,
	["Schrei des Chors"] = true,
	["Schrei des Chors (Resonanz)"] = true,
	["Verbesserter Schrei des Chors (Dissonanz)"] = true,
	["Verbesserung: Schrei des Chors"] = true,
	["Verbesserter Schrei des Chors (Resonanz)"] = true,
}

ValidMajorBalladSkillNamesDe = {
	["Dur-Ballade"] = true,
}

ValidYellowTraitSkillNamesDe = {
	["Hymne der T\195\188chtigkeit"] = true
}

---- French effect names ----
ValidBalladEffectsFr = {
	["Bonus de d\195\169g\195\162ts de ballade"] = true,
	["Bonus de Puissance de ballade"] = true,
	["Bonus de gu\195\169rison de ballade"] = true,
	["Chant fun\195\168bre"] = true,
	["Saga"] = true,
	["Chant"] = true
}

ValidAnthemEffectsFr = {
	["Hymne de guerre"] = 1,
	["Hymne aux prouesses"] = 2,
	["Hymne de contenance"] = 3,
	["Hymne du Troisi\195\168me Âge"] = 4,                 -- meta, indisponible
	["Hymne du Troisi\195\168me Âge - Dissonance"] = 4,    -- ligne rouge
	["Hymne du Troisi\195\168me Âge - M\195\169lodie"] = 4,       -- ligne jaune
	["Hymne du Troisi\195\168me Âge - R\195\169sonance"] = 4,     -- ligne bleue
	["Hymne de l'Aube rouge"] = 1,
	["Hymne du Riddermark"] = 2,
	["Hymne des Rohirrim"] = 3
}

ValidCodaSkillNamesFr = {
	["Coda des Eorlingas"] = true,                  -- mounted
	["Coda de fureur"] = true,                      -- dissonance
	["Coda de m\195\169lodie"] = true,                     -- m\195\169lodie
	["Coda de r\195\169sonance"] = true,                   -- r\195\169sonance
	["Coda de fureur am\195\169lior\195\169e"] = true,            -- dissonance
	["Coda de m\195\169lodie am\195\169lior\195\169e"] = true,           -- m\195\169lodie
	["Coda de r\195\169sonance am\195\169lior\195\169e"] = true          -- r\195\169sonance
}

ValidCrySkillNamesFr = {
	["Chant de l'unit\195\169"] = true, -- On War-steed
	["Cri du chœur (Dissonance)"] = true,
	["Cri du chœur"] = true,
	["Cri du chœur (R\195\169sonance)"] = true,
	["Cri du chœur am\195\169lior\195\169 (Dissonance)"] = true,
	["Cri du chœur am\195\169lior\195\169"] = true,
	["Cri du chœur am\195\169lior\195\169 (R\195\169sonance)"] = true,
}

ValidMajorBalladSkillNamesFr = {
	["Ballade majeure"] = true,
}

ValidYellowTraitSkillNamesFr = {
	["Hymne aux prouesses"] = true
}